jabref (2.10+ds-4) unstable; urgency=medium

  * Drop /usr/lib/ure/share/java from the build-time classpath.
    The ure JARs are now in /usr/lib/libreoffice/program/classes.
    (Closes: #802402)
  * Drop the .menu file in favor of the .desktop file.

 -- tony mancill <tmancill@debian.org>  Mon, 19 Oct 2015 20:46:41 -0700

jabref (2.10+ds-3) unstable; urgency=medium

  [ tony mancill ]
  * add StartupWMClass to jabref.desktop
    This should prevent JabRef as showing up as 2 icons on Elementary (and
    otherwise have no adverse effect).
    LP: #1380318
  * depend on default-jre (at least Java 6)
    This doesn't really address #711842, but it will prevent the installation
    of openjdk-7 when openjdk-8 becomes the default.
  * get java-wrapper search for "java6"
    This expands the list of runtimes matched to include the oracle runtimes
    and openjdk8.

  [ gregor herrmann ]
  * debian/copyright: adjust paths and drop information about
    removed files.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Oct 2014 18:13:52 +0200

jabref (2.10+ds-2) unstable; urgency=medium

  * Add patch to fix headless BibTeX output.
    Thanks to Vincent Fourmond for the bug report and the patch.
    (Closes: #723100)

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 May 2014 22:05:40 +0200

jabref (2.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: update years of upstream copyright.
  * Refresh mrDlib_jayatana.patch.
  * Drop options_preferences_file.patch, fixed upstream.
  * debian/copyright: add info about another third-party file.
  * Update name of .jar in debian/jabref.{install,links}.

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Mar 2014 19:01:42 +0100

jabref (2.10~beta3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 13 Feb 2014 17:21:36 +0100

jabref (2.10~beta2+ds-3) unstable; urgency=medium

  * Update jabref(1) manpage which was out of sync with the -h output.
    Thanks to Martin Weis for the bug report and the patch. (LP: #1271951)
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Jan 2014 22:03:16 +0100

jabref (2.10~beta2+ds-2) unstable; urgency=low

  * Add patch to swap labels for checkboxes in Options → Preferences →
    File. Thanks to Vincent Fourmond for the bug report. (Closes: #722427)

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Sep 2013 20:12:39 +0200

jabref (2.10~beta2+ds-1) unstable; urgency=low

  * New upstream release.
  * Drop jcombobox-parameter.patch, merged upstream.
  * Refresh debian_libs.patch (offset).
  * Update filenames in debian/jabref.{install,links}.
  * debian/copyright: add information about third-party file.
  * Extend debian/jabref.bug-presubj a bit.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Jun 2013 18:52:15 +0200

jabref (2.10~beta1+ds-2) unstable; urgency=low

  * Upload to unstable.
  * Improve .desktop file. Thanks to lintian and desktop-file-validate.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 May 2013 21:20:50 +0200

jabref (2.10~beta1+ds-1) experimental; urgency=low

  * New upstream release.
  * Refresh existing patches.
  * Add a new patch to add back a removed file.
  * Add a new patch to fix JComboBox errors.
  * Update filenames in debian/jabref.{install,links}.
  * Repacking framework: also remove the buildlib, gradle, osx directories.
  * debian/{rules,control}: activate unit tests.
  * Update debian/repack.stub.
  * debian/copyright:
    - add info about debian/repack.stub
    - update years, add info about new files
    - update years of packaging copyright
  * Install original JabRef icon file, and use it in the .desktop file.
    (LP: #1155559)

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Mar 2013 18:14:19 +0100

jabref (2.9+r+ds-1) experimental; urgency=low

  * New upstream release:
    In fact, this is now the 2.9 release, the version from last week was a
    pre-release that SourceForge shouldn't have shown. The only changes are in
    documentation and internationalization.
  * debian/copyright: add information about mrDlib_jayatana.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Dec 2012 20:25:13 +0100

jabref (2.9+ds-1) experimental; urgency=low

  * New upstream release.
  * Update filenames in debian/jabref.{install,links}.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Dec 2012 21:06:39 +0100

jabref (2.9~beta2+ds-1) experimental; urgency=low

  * New upstream release.
    (Closes: #644530) (LP: #884016)
  * Update filenames in debian/jabref.{install,links}.
  * debian/control:
    - Update dependency on JVM to "openjdk-7-jre | java6-runtime". Using
      default-jre is probably no good idea, since this installs gcj-jre on
      several architectures. Update wrapper script as well.
      Thanks to Torquil Macdonald Sørensen for the bug report.
      (Closes: #689253)
    - Add new build dependencies / versions.
      Update wrapper script accordingly.
    - Remove versions from (build) dependencies that are already satisfied in
      stable.
    - Bump Standards-Version to 3.9.4 (no changes).
    - Create a jabref-plugin-oo transitional dummy package.
      The former LibreOffice plugin is now part of JabRef proper.
  * debian/patches:
    - Refresh and rename patch debian_libs.patch.
    - New patch: disable mrDlib and ayatana features until we have all
      dependencies in Debian. Thanks to Oliver Kopp (upstream) for providing a
      Debian branch.
    - Remove other patches, applied upstream or obsolete.
    - Remove debian/README.source which referred to a removed patch.
  * debian/copyright:
    - Use Copyright Format 1.0.
    - Update years of upstream and packaging copyright.
    - Add new third-party copyright holders.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Nov 2012 21:06:14 +0100

jabref (2.7~beta1+ds-6) unstable; urgency=low

  * Update Vcs-* headers.
  * Add patch 09_looks2.5.patch to build against libjgoodies-looks-java >=
    2.5.0.
  * Drop patch 01_free_javac.patch, not needed anymore. Make (build)
    dependency on libjgoodies-looks-java versioned.
  * Switch to "3.0 (quilt)" source format. Remove quilt framework, update
    debian/README.source.
  * Drop get-orig-source target, uscan and git-import-orig work fine.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Feb 2012 21:37:59 +0100

jabref (2.7~beta1+ds-5) unstable; urgency=low

  * New patch 08_doubleextensions.patch, kindly backported and provided by
    upstream: improve handling of linked files with double extensions: file
    types with a double extension are new recognized automatically when a new
    link is added manually, or when a link is added automatically and
    clicked-upon once, after defining the file type in the options
    (closes: #626582).
  * Bump debhelper compatibility level to 8.
  * Set Standards-Version to 3.9.2 (no changes).
  * Change order of arguments for dh in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Jul 2011 03:08:59 +0200

jabref (2.7~beta1+ds-4) unstable; urgency=low

  [ tony mancill ]
  * Add patch to build against libpdfbox-1.5.0+dfsg.

  [ gregor herrmann ]
  * Remove version from java-wrappers dependency, already satisfied in
    oldstable.
  * debian/copyright: update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 31 Mar 2011 17:15:22 +0200

jabref (2.7~beta1+ds-3) unstable; urgency=low

  * Edit jabref wrapper script to resolve libjgoodies-common-java jar.
    Add libjgoodies-common-java to Depends.  (Closes: #614506)
  * Change "looks" in wrapper script to "jgoodies-looks" 

 -- tony mancill <tmancill@debian.org>  Mon, 21 Feb 2011 20:04:55 -0800

jabref (2.7~beta1+ds-2) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:45:19 +0100

jabref (2.7~beta1+ds-1) experimental; urgency=low

  * New upstream release.
  * debian/control: uniform spelling of BibTex; thanks to Erik Esterer for the
    bug report and patch (closes: #596946).
  * Refresh patches.
  * Update name of jar file in debian/jabref.{install,links}.
  * Update debian/copyright (year of upstream copyright, formatting).

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Jan 2011 18:42:33 +0100

jabref (2.6+ds-4) unstable; urgency=low

  [ gregor herrmann ]
  * 02_libs.patch: add antlr3-runtime.jar to classpath.
  * Make build and runtime dependency on antlr3 versioned.
  * Set Standards-Version to 3.9.1 (no changes).

  [ tony mancill ]
  * delete 05_antlr.patch 
  * add 05_antlrv32.patch: include new BstParser/Lexer classes generated
    by antlr 3.2.  (Closes: #591124)
  * Update README.source with information regarding regeneration of 
    BstParser and BstLexer classes.

 -- tony mancill <tmancill@debian.org>  Tue, 03 Aug 2010 19:41:44 -0700

jabref (2.6+ds-3) unstable; urgency=low

  * Improve wrapper script to avoid unnecessary warnings; thanks to Martin
    Lutz for the bug report and to Onkar Shinde for the instructions
    (closes: #586781).

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Jun 2010 20:27:14 +0200

jabref (2.6+ds-2) unstable; urgency=low

  * debian/control: add "Recommends: xdg-utils"; thanks to Vincent Fourmond
    for the bug report (closes: #579346). Change xpdf to xpdf-reader in
    Suggests.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Apr 2010 16:49:34 +0200

jabref (2.6+ds-1) unstable; urgency=low

  * New upstream release.
  * Adapt name of jar file in debian/jabref.{install,links}.
  * Remove patch 03_external_apps.patch, refresh patches 02_libs.patch and
    06_BibtexEntry.patch.
  * Add a debian/source/format file.

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Apr 2010 20:03:46 +0200

jabref (2.6~beta3+ds-1) unstable; urgency=low

  * New upstream release:
    - debian/repack.local: don't remove the three "offending" files,
      two were removed upstream, the third was re-licensed
    - adjust debian/copyright accordingly
    - change version suffix to +ds since we are not repackaging for license
      issues anymore
    - remove patches 07_PreviewPanel.patch and 08_HighlightFilter.patch,
      applied upstream
    - refresh patches 03_external_apps.patch and 06_BibtexEntry.patch
    - adapt name of jar file in debian/jabref.{install,links}
  * Add jabref-plugin-oo to Suggests:.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Mar 2010 21:42:25 +0100

jabref (2.6~beta2+dfsg-2) unstable; urgency=low

  * Add back sun-java6-jre as an alternative runtime dependency.
  * debian/control: change build dependency from default-jdk-builddep to
    default-jdk.
  * Set Standards-Version to 3.8.4 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Feb 2010 21:37:58 +0100

jabref (2.6~beta2+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Move from contrib to main since all build and runtime dependencies are in
    main now (closes: #548180).
  * Remove sun-java6-jre from Depends.
  * Repack upstream tarball to remove the sourceless pre-compiled libraries
    and some files without (free) licenses.
  * Add HighlightFilter patch to work without HighlightFilter.java.
  * debian/rules: override dh_auto_clean, `ant clean' fails with an unpatched
    build.xml after removing lib/. Move ant from B-D to B-D-I since it's not
    used in the clean target anymore.
  * debian/clean: remove build.number and src/resource/build.properties, they
    get re-generated on each build.
  * Install reportbug presubj file via dh_bugfiles.
  * debian/copyright: update formatting and list of third-party copyright
    holders. 

  [ tony mancill ]
  * Add PreviewPanel patch to remove dependency on DocumentPrinter class.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Jan 2010 18:35:50 +0100

jabref (2.6~beta2-1) unstable; urgency=low

  * Remove alternative dependency on sun-java5-jre which was removed from the
    archive. Also adjust README.Debian and /usr/bin/jabref.
  * New upstream beta release:
    - fixes "allow to disable (re)storing of current tab for entries"
      (closes: #447767)
    - thanks again to Philip Rinn for his help with the upgrade
  * debian/copyright: add new developer.
  * Refresh patches 01_free_javac.patch and 06_BibtexEntry.patch.
  * Adjust debian/jabref.links and debian/jabref.install to new jar file.
  * Simplify debian/jabref.dirs.
  * Add a presubj fragment for reportbug.

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 Dec 2009 18:52:51 +0100

jabref (2.5-1) unstable; urgency=low

  * New upstream release (closes: #497897, LP: #301327). This version also
    fixes the following Debian bugs:
    - "field data lost when switching tabs without leaving field first"
      (closes: #498926)
    - "jumps back to previously edited entry when clicking title field"
      (closes: #447772)
    - "File type detection of downloaded files should use MIME type"
      (closes: #448028)
    - "autocompletion for crossref fields"
      (closes: #481503)
    - "text selection visual bug" (closes: #527323)
    - "auto-completion in author field wrong" (closes: #442476)
  * Add new build and runtime dependencies: libmysql-java,
    libcommons-logging-java, libjpf-java, libjpfcodegen-java, velocity.
  * Switch to debhelper 7; adjust debian/{compat,control,rules}.
  * Rename a couple of files in debian/ to debian/jabref.foo for consistency.
  * Adjust debian/jabref.links and debian/jabref.install to new jar file.
  * Update /usr/bin/jabref to use the new libs.
  * Update manpage.
  * Update package/program description in debian/control and in jabref.1
    according to the upstream README.
  * Update debian/copyright.
  * Patches:
    - update 01_free_javac.patch, 02_libs.patch, 03_external_apps.patch,
      05_antlr.patch
    - remove 04_HONOR_DISPLAY_PROPERTIES.patch, not needed any more
    - remove 06_forms_groups.patch, applied upstream
    - add new 06_BibtexEntry.patch
  * Set Standards-Version to 3.8.3.
  * Thanks a lot to Philip Rinn for his great help in preparing this release,
    especially with the patches, dependencies, and the wrapper script!

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 22:01:22 +0200

jabref (2.3.1-6) unstable; urgency=low

  * debian/watch: back to the redirector at qa.debian.org.
  * Use java-wrappers instead of the hand-crafted wrapper script; thanks to
    Vincent Fourmond for the patch (closes: #506219).
  * Update README.Debian: mention supported Java virtual machines and
    JAVA_HOME (cf. LP: #258198).
  * debian/rules: set JAVA_HOME=/usr/lib/jvm/default-java.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Nov 2008 21:46:28 +0100

jabref (2.3.1-5) unstable; urgency=low

  * Change runtime dependency from "sun-java6-jre | sun-java5-jre" to
    "openjdk-6-jre | sun-java6-jre | sun-java5-jre" (closes: #383006).
    [Jabref stays in contrib because it (build) depends on libspin-java and
    libpdfbox-java which are in contrib because they build depend on packages
    in contrib/non-free.]
  * debian/copyright: wrap long line.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Jul 2008 22:24:25 +0200

jabref (2.3.1-4) unstable; urgency=low

  * Replace /usr/lib/jvm/java-7-icedtea with /usr/lib/jvm/java-6-openjdk in
    wrapper script. Doesn't work on Debian yet but helps Ubuntu users (cf.
    LP: #225450 and LP: #203636).
  * debian/watch: use sourceforge URL directly instead of the redirector
    at qa.debian.org.
  * Switch patch system from dpatch to quilt.
  * debian/rules: remove configure{,-stamp} targets.
  * Set Standards-Version to 3.8.0; add debian/README.source to document the
    patch system.
  * Add patch 06_forms_groups.patch to fix an exception in the groups
    interface; thanks to Monkey D. Luffy for the bug report and to Philipp
    Spitzer for helping me to produce a patch (closes: #487481).

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Jul 2008 20:07:03 +0200

jabref (2.3.1-3) unstable; urgency=low

  * Build against Debian libraries instead of pre-packaged ones
    (closes: #389068):
    - adapt and reactivate patch 02_libs.dpatch: use libraries in
      /usr/share/java for building and don't include them in jabref.jar
    - add needed jars to Classpath in the wrapper script
    - add patch 05_antlr.dpatch: antlr3 in Debian is newer than the
      pre-packaged jar
    - add necessary packages to Build-Depends-Indep and Depends
    These changes are either taken directly from Gerardo Curiel's patch or
    based on them -- thanks a lot!
  * debian/watch: add uversionmangle to cope with upstream b(eta) releases.
  * Move wrapper script in source package to debian/jabref-wrapper and
    install it from debian/rules.
  * Remove debian docs and install upstream README directly from
    debian/rules.
  * debian/control:
    - change my email address
    - replace java-gcj-compat-dev with default-jdk-builddep in
      Build-Depends-Indep

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Apr 2008 21:33:33 +0200

jabref (2.3.1-2) unstable; urgency=low

  * Change pdfviewer to pdf-viewer in Suggests:.
  * Set Standards-Version to 3.7.3 (no changes required).
  * debian/rules: explicitly set JAVA_HOME.
  * Only set JAVA to $JAVA_HOME/jre/bin/java if JAVA_HOME is not empty;
    thanks to Michael Piefel for the hint.
  * Set debhelper compatibility level to 6.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 11 Feb 2008 17:00:15 +0100

jabref (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Adapt referenced filename in debian/links and debian/install.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 30 Nov 2007 14:28:00 +0100

jabref (2.3-2) unstable; urgency=low

  * Add /usr/lib/jvm/java-7-icedtea to wrapper script. Doesn't work on
    Debian yet but helps Ubuntu users (TODO: add dependency on
    icedtea-java7-jre (not yet in Debian)).
  * Reformat wrapper script.
  * debian/rules: re-arrange targets and their dependencies.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 16 Nov 2007 18:38:18 +0100

jabref (2.3-1) unstable; urgency=low

  * New upstream release, closes a bunch of bugs reported in the Debian BTS:
    - "bibtexkey auto-generation cannot deal with quotes" (closes: #448917).
    - "File download via CGI adds QUERY_STRING to suggested filename"
      (closes: #448027).
    - "File download aborted on click of OK" (closes: #448060).
    - "Improve directory/filename handling on downloading" (closes: #442475).
    - "ctrl-g should cause record to be saved" (closes: #443078).
    - "version 2.3 released" (closes: #450789).
  * Change XS-Vcs-* fields to Vcs-*.
  * Adapt referenced filename in debian/links and debian/install.
  * Sync debian/copyright with output of Help/About and reference
    /usr/share/common-licenses/GPL-2.
  * Install changelog_highlights.txt as upstream changelog.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 11 Nov 2007 01:58:27 +0100

jabref (2.3~beta3-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/manpages.
  * Clean up debian/rules.
  * Move upstream URL from the description to the new Homepage field.
  * Use ant clean instead of manually removing the build directory in
    debian/rules. Move ant from Build-Depends-Indep to Build-Depends.
  * Update patch 03_external_apps.
  * Remove patch 04_logger, not needed anymore.
  * Create new patch 04_HONOR_DISPLAY_PROPERTIES.dpatch.
  * Adapt referenced filename in debian/links and debian/install.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 09 Oct 2007 19:12:09 +0200

jabref (2.3~beta2-1) unstable; urgency=low

  * New upstream release.
  * Add liblog4j1.2-java to build dependencies (and a new patch 04_logger to
    be able to use it).
  * Fix Categories entry in desktop file and remove Encoding.
  * Sync debian/copyright with output of Help/About.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 29 Aug 2007 23:38:22 +0200

jabref (2.3~beta1-2) unstable; urgency=low

  * Change section in menu file to "Applications/Data Management" due to
    the new Menu Policy starting with the upload of menu 2.1.35.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 04 Jul 2007 19:10:47 +0200

jabref (2.3~beta1-1) unstable; urgency=low

  * New upstream release.
  * Adapt patch 03_external_apps.
  * Add suggests to ps- and pdfviewers.
  * Adapt manpage to output of jabref --help.
  * Sync debian/copyright with output of Help/About.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 30 Jun 2007 16:45:44 +0200

jabref (2.2-01-6) unstable; urgency=low

  * Add patch 03_external_apps to change the default settings for some
    external applications; thanks to Cédric Augonnet (closes: #421227).
  * Convert debian/changelog to UTF-8 (again).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 27 Apr 2007 15:07:18 +0200

jabref (2.2-01-5) unstable; urgency=low

  * Exec the Java interpreter in /usr/bin/jabref; thanks to Tobias Richter
    (closes: #415019).
  * Adapt README.Debian to the new wrapper script.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 16 Mar 2007 02:45:21 +0100

jabref (2.2-01-4) unstable; urgency=low

  * Change wrapper script /usr/bin/jabref to explicitly use the Sun Java
    5 or 6 virtual machine (closes: #383019).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 12 Mar 2007 20:01:27 +0100

jabref (2.2-01-3) unstable; urgency=low

  * Add call to dh_desktop to debian/rules.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 25 Feb 2007 15:56:32 +0100

jabref (2.2-01-2) unstable; urgency=low

  * Add mime support.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon,  5 Feb 2007 16:39:03 +0100

jabref (2.2-01-1) unstable; urgency=low

  * New upstream release.
  * Change wrapper script, as "-v" acts as expcted; cf. #378189 for details
    (also closes: #408081).
  * Remove debian/source.lintian-overrides from source package, there are no longer
    cvs remnants in the upstream tarball.
  * Add .desktop file for easier integration into desktop environments.
  * Add symlink /usr/share/java/JabRef-2.2.jar -> /usr/share/java/jabref.jar.
  * Update debian/copright to reflect the changes as shown in the About Box.
  * Add sun-java6-jre to Depends:, thanks to Gerhard Riener for the hint.
  * Remove obsolete j2re1.5 | sun-j2sdk1.5 from Depends:.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  3 Feb 2007 15:48:11 +0100

jabref (2.2~b2-1) unstable; urgency=low

  * New upstream release:
    - undistributable fonts no longer included (closes: #393676);
    - remove j2re1.4 from Depends, JabRef now needs Java 1.5;
    - includes the patch to make Enter work in dialogs, therefore remove
      patch 02_button;
    - update patch 01_free_javac;
    - update debian/copyright (new contributors);
    - update debian/rules (icon file name changed).
  * Fix typo in long description.
  * Shorten call to ant and remove "-k" from dh_clean in debian/rules.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 26 Nov 2006 22:28:46 +0100

jabref (2.1-4) unstable; urgency=low

  * Apply patch from Matthias Klose to enable building with a free java compiler -
    thanks! (Cf. #383006)
  * Change build dependencies accordingly.
  * Apply patch from Morten Omholt Alver (upstream author) to enable 'enter' in
    dialogs - thanks! (Closes: #387235)

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 25 Sep 2006 00:32:40 +0200

jabref (2.1-3) unstable; urgency=low

  * Change menu section to "Apps/Databases" and remove lintian override.
    "Apps/Data Management" was premature, thanks to Frank Küster and 
    Bill Allombert for pointing this out (cf. #386320).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 11 Sep 2006 21:12:37 +0200

jabref (2.1-2) unstable; urgency=low

  * Change menu section to "Apps/Data Management", thanks to Frank Küster
    (closes: #386320).
  * Add lintian override for this new section.
  * Convert changelog to UTF-8.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu,  7 Sep 2006 16:42:27 +0200

jabref (2.1-1) unstable; urgency=low

  * New upstream release (closes: #382310, #379704).
  * Change back wrapper script, as the behaviour of "-v" changed in the
    new release (cf. #378189 for details).
  * Menu icons now created from PNGs in upstream tarball, therefore add build
    dependency on imagemagick.
  * Clean up README.Debian.
  * Update debian/copright to reflect the changes as shown in the About Box.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 11 Aug 2006 12:09:45 +0200

jabref (2.0.1+2.1b2-6) unstable; urgency=low

  * Update menu icons, the new ones are kindly provided by Morten Omholt Alver
    (upstream author) - thanks!

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue,  1 Aug 2006 22:31:16 +0200

jabref (2.0.1+2.1b2-5) unstable; urgency=low

  * Now really change debian/copyright.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 31 Jul 2006 21:40:47 +0200

jabref (2.0.1+2.1b2-4) unstable; urgency=low

  * Add icon to menu entry, thanks to LI Daobing for the idea
    (closes: #380604).
  * Remove references to the libraries Commons Logging and Commons HTTP Client
    from debian/copyright, as they are not included in the upstream tarball 
    any more.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 31 Jul 2006 16:37:47 +0200

jabref (2.0.1+2.1b2-3) unstable; urgency=low

  * Convert debian/copyright to UTF-8.
  * Mention startup options in manpage, thanks to LI Daobing (closes: #378190).
  * Change wrapper script to always pass "-n" if called with "-v" in order
    to make jabref only print the version number and quit afterwards with
    "-v". Thanks to LI Daobing (closes: #378189).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 14 Jul 2006 13:23:58 +0200

jabref (2.0.1+2.1b2-2) unstable; urgency=low

  * Pass command line parameters to /usr/bin/jabref and add hint about Sun
    Java and update-alternatives to README.Debian (closes: #377316).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  8 Jul 2006 12:51:40 +0200

jabref (2.0.1+2.1b2-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue,  4 Jul 2006 16:42:35 +0200

jabref (2.0.1+2.1b-3) unstable; urgency=low

  * Changed order of Build-Depend-Indep.
  * Cleaned up debian/rules.
  * Moved dh_ calls in debian/rules to binary-indep target.
  * Add lintian override (upstream tarball has .cvsignore stuff).
  * Added Tony Mancill to Uploaders (thanks for sponsoring!).
  * Clarified debian/copyright and fixed typo (thanks to Tony Mancill).
  * Updated debhelper compatibility level to 5.
  * Cleaned up debian/watch.
  * Added menu entry.
  * Intial upload to the Debian archive (closes: #205392).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 14 Jun 2006 17:51:38 +0200

jabref (2.0.1+2.1b-2) unstable; urgency=low

  * Change dependencies to include several versions of the Sun JRE/JDK.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 30 May 2006 17:12:05 +0200

jabref (2.0.1+2.1b-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 20 May 2006 17:06:49 +0200

jabref (2.0.1-3) unstable; urgency=low

  * Update to Standards-Version: 3.7.2 (no changes required).
  * Change dependencies to new sun-java5-jre/jdk.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 17 May 2006 17:48:52 +0200

jabref (2.0.1-2) unstable; urgency=low

  * Update to Standards-Version: 3.7.0 (no changes required).
  * Moved debhelper from Build-Depends-Indep to Build-Depends 
    in debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon,  1 May 2006 14:44:02 +0200

jabref (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Set debhelper compatibility level to 5.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri,  3 Feb 2006 21:18:29 +0100

jabref (1.8.1-2) unstable; urgency=low

  * Added homepage to debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 25 Dec 2005 14:30:28 +0100

jabref (1.8.1-1) unstable; urgency=low

  * New upstream release

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri,  7 Oct 2005 22:30:10 +0200

jabref (1.8-4) unstable; urgency=low

  * Fixed error in /usr/bin/jabref.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 13 Sep 2005 18:44:57 +0200

jabref (1.8-3) unstable; urgency=low

  * Trimmed Depends: to j2re1.4.
  * Added j2sdk1 to Build-Depends-Indep.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 11 Sep 2005 01:24:05 +0200

jabref (1.8-2) unstable; urgency=low

  * Moved jabref.jar from /usr/share/java/jabref to ../

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  3 Sep 2005 02:45:23 +0200

jabref (1.8-1) unstable; urgency=low

  * Initial release Closes: #205392

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu,  1 Sep 2005 23:18:00 +0200

